#ifndef KONA_SEARCH_H
#define KONA_SEARCH_H

#include <libsoup/soup.h>
#include <stdlib.h>

typedef struct _kona_search kona_search;
struct _kona_search {
    SoupSession *session;
    SoupMessage *msg;
};

// PUBLIC
kona_search *kona_search_session_new();
int kona_search_new(kona_search *ks, gchar *tags);

// DO NOT CALL
static void kona_search_callback (GObject *object, GAsyncResult *result, gpointer user_data);

#endif // KONA_SEARCH_H
