// USE: libsoup (http), json-glib

#include <gtk/gtk.h>
#include "previewwidget.h"
#include "kona_search.h"

int buildWindow();

int buildWindow() {
    GtkWindow *mainWindow;
    GtkBuilder *builder;

    GtkWidget *previewLayout;
    GtkWidget *previewContainer;
    GtkWidget *temp;

    builder = gtk_builder_new();
    gtk_builder_add_from_file(builder, "glade/mainWindow.glade", NULL);

    mainWindow = GTK_WIDGET(gtk_builder_get_object(GTK_BUILDER(builder), "mainWindow"));
    gtk_builder_connect_signals(builder, NULL);

    previewContainer = gtk_builder_get_object(GTK_BUILDER(builder), "viewportPreview");

    previewLayout = gtk_flow_box_new();
    gtk_flow_box_set_max_children_per_line(GTK_FLOW_BOX(previewLayout), 200);
    for (int i = 0; i < 100; ++i) {
        // CUSTOM!!!!!
        temp = PreviewWidget_new();
        gtk_flow_box_insert(GTK_FLOW_BOX(previewLayout),temp,0);
        gtk_widget_show(temp);
        // -------------------
    }




    gtk_widget_show(previewLayout);
    gtk_container_add(GTK_CONTAINER(previewContainer), previewLayout);

    g_object_unref(G_OBJECT(builder));


    gtk_widget_show(GTK_WIDGET(mainWindow));



    // TTESTT
    kona_search *search;
    search = kona_search_session_new();
    //kona_search_new(search, "yuri");

}

int main(int argc, char **argv)
{
    gtk_init(&argc, &argv);

    buildWindow();

    gtk_main();
    return 0;
}



// REMEBER THIS FUNCTION: g_clear_object ()
