#include "previewwidget.h"

G_DEFINE_TYPE(PreviewWidget, PreviewWidget, GTK_TYPE_BIN)


void kona_download_image( GtkWidget *widget, gpointer   data )
{
    PreviewWidget_set_image(data, ""); // DEBUG ONLY!
}

void PreviewWidget_set_image(PreviewWidget *widget, gchar *url) {
    GtkWidget *spinner;
    GList *widgets;

    widgets = gtk_container_get_children(GTK_CONTAINER(widget));
    spinner = widgets->data;
    gtk_widget_set_visible(spinner, TRUE);

    spinner = g_list_next(widgets)->data;
    gtk_widget_set_visible(spinner, FALSE);
}



void PreviewWidget_class_init(PreviewWidgetClass *klass)
{

}

void PreviewWidget_init(PreviewWidget *klass)
{
    GtkWidget *widget;
    GtkBuilder *builder;
    builder = gtk_builder_new();
    gtk_builder_add_from_file(builder, "glade/previewWidget.glade", NULL);

    widget = GTK_WIDGET(gtk_builder_get_object(GTK_BUILDER(builder), "previewWidget"));
    gtk_builder_connect_signals(builder, NULL);
    gtk_container_add(GTK_CONTAINER(klass), widget);

    GTK_WIDGET(gtk_builder_get_object(builder, "image"));


    /*klass->image= GTK_WIDGET(gtk_builder_get_object(builder, "image"));
    klass->button = GTK_WIDGET(gtk_builder_get_object(builder, "button"));
    klass->spinner = GTK_WIDGET(gtk_builder_get_object(builder, "spinner"));*/
    g_object_unref(G_OBJECT(builder));
}

GtkWidget *PreviewWidget_new()
{
    return g_object_new (TYPE_PREVIEWWIDGET, NULL);
}


// TODO: DESTROY etc.
