#ifndef PREVIEWWIDGET_H
#define PREVIEWWIDGET_H

#include <gtk/gtk.h>

#include <glib.h>

G_BEGIN_DECLS

#define TYPE_PREVIEWWIDGET          (PreviewWidget_get_type ())
#define PREVIEWWIDGET(obj)          GTK_CHECK_CAST (obj, PreviewWidget_get_type (), PreviewWidget)
#define PREVIEWWIDGET_CLASS(klass)  GTK_CHECK_CLASS_CAST (klass, previewwidget_get_type (), PreviewWidgetClass)
#define IS_PREVIEWWIDGET(obj)       GTK_CHECK_TYPE (obj, previewwidget_get_type ())

typedef struct _PreviewWidget       PreviewWidget;
typedef struct _PreviewWidgetClass  PreviewWidgetClass;

struct _PreviewWidget {
    GtkBin bin;
};

struct _PreviewWidgetClass {
    GtkBinClass parent_class;
    void (* PreviewWidget) (PreviewWidget *pvWidget);
};

GType          PreviewWidget_get_type          (void) G_GNUC_CONST;
GtkWidget*     PreviewWidget_new               (void);

G_END_DECLS

#endif // PREVIEWWIDGET_H
