#include "kona_search.h"

kona_search *kona_search_session_new() {
    kona_search *search;
    search = malloc(sizeof(kona_search));
    if (search) {
        search->session = soup_session_new();
        search->msg = NULL;
    }
    return search;
}

int kona_search_new(kona_search *ks, gchar *tags) {
    GString *url;
    url = g_string_new("http://konachan.com/post.json?tags=");
    g_string_append(url, tags);

    if (ks->msg == NULL) {
        g_print("Message creating\n");
        ks->msg = soup_message_new ("GET", url);
        g_print("Message created\n");
        soup_session_send_async (ks->session,
                                 ks->msg,
                                 NULL, // TODO?
                                 kona_search_callback,
                                 NULL);
        g_print("Message sent\n");

    }
    g_string_free(url, TRUE);
}

static void kona_search_callback (GObject *object, GAsyncResult *result, gpointer user_data)
{
    GInputStream *stream;
    GError *error = NULL;

    stream = soup_session_send_finish (SOUP_SESSION (object), result, &error);
    g_print(stream);
}
